# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TDBSqlArrowFormat

Packages that use TDBSqlArrowFormat
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TDBSqlArrowFormat in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TDBSqlArrowFormat
Modifier and Type
Class
Description
`class`
`TDBSqlArrowFormat`
`class`
`TDBSqlArrowFormat`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TDBSqlArrowFormat
Modifier and Type
Method
Description
`TDBSqlArrowFormat`
TDBSqlArrowFormat.`deepCopy()`
`TDBSqlArrowFormat`
TDBSqlResultFormat.`getArrowFormat()`
`TDBSqlArrowFormat`
TDBSqlArrowFormat.`setArrowLayout(TDBSqlArrowLayout arrowLayout)`
`TDBSqlArrowFormat`
TDBSqlArrowFormat.`setCompressionCodec(TDBSqlCompressionCodec compressionCodec)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDBSqlArrowFormat
Modifier and Type
Method
Description
`static TDBSqlResultFormat`
TDBSqlResultFormat.`arrowFormat(TDBSqlArrowFormat value)`
`int`
TDBSqlArrowFormat.`compareTo(TDBSqlArrowFormat other)`
`boolean`
TDBSqlArrowFormat.`equals(TDBSqlArrowFormat that)`
`void`
TDBSqlResultFormat.`setArrowFormat(TDBSqlArrowFormat value)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TDBSqlArrowFormat
Modifier
Constructor
Description
``
`TDBSqlArrowFormat(TDBSqlArrowFormat other)`
Performs a deep copy on other.